Bug 113389 - Web Inspector: [DTE] Convertion between text and coordinates
Summary: Web Inspector: [DTE] Convertion between text and coordinates
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Andrey Lushnikov
URL:
Keywords:
Depends on:
Blocks: 113412
  Show dependency treegraph
 
Reported: 2013-03-27 04:31 PDT by Andrey Lushnikov
Modified: 2013-04-01 05:50 PDT (History)
11 users (show)

See Also:


Attachments
Patch (12.17 KB, patch)
2013-03-27 04:33 PDT, Andrey Lushnikov
no flags Details | Formatted Diff | Diff
Patch (12.14 KB, patch)
2013-03-27 04:59 PDT, Andrey Lushnikov
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2 (891.13 KB, application/zip)
2013-03-27 07:31 PDT, Build Bot
no flags Details
Patch (10.67 KB, patch)
2013-03-28 04:12 PDT, Andrey Lushnikov
no flags Details | Formatted Diff | Diff
Patch (10.71 KB, patch)
2013-03-28 05:35 PDT, Andrey Lushnikov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Lushnikov 2013-03-27 04:31:08 PDT
Implement coordinatesToTextPosition and textPositionToCoordinates methods
Comment 1 Andrey Lushnikov 2013-03-27 04:33:57 PDT
Created attachment 195271 [details]
Patch
Comment 2 Andrey Lushnikov 2013-03-27 04:59:12 PDT
Created attachment 195280 [details]
Patch
Comment 3 Build Bot 2013-03-27 07:31:51 PDT
Comment on attachment 195280 [details]
Patch

Attachment 195280 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-commit-queue.appspot.com/results/17332143

New failing tests:
inspector/editor/text-editor-char-to-coordinates.html
Comment 4 Build Bot 2013-03-27 07:31:53 PDT
Created attachment 195318 [details]
Archive of layout-test-results from webkit-ews-09 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-09  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.2
Comment 5 Andrey Lushnikov 2013-03-28 04:12:03 PDT
Created attachment 195525 [details]
Patch
Comment 6 Pavel Feldman 2013-03-28 04:58:41 PDT
Does this need rebaseline?
Comment 7 Pavel Feldman 2013-03-28 04:58:54 PDT
Comment on attachment 195525 [details]
Patch

Doe
Comment 8 Andrey Lushnikov 2013-03-28 05:35:45 PDT
Created attachment 195538 [details]
Patch
Comment 9 Build Bot 2013-03-28 06:51:21 PDT
Comment on attachment 195538 [details]
Patch

Attachment 195538 [details] did not pass win-ews (win):
Output: http://webkit-commit-queue.appspot.com/results/17353104
Comment 10 WebKit Review Bot 2013-04-01 05:50:35 PDT
Comment on attachment 195538 [details]
Patch

Clearing flags on attachment: 195538

Committed r147322: <http://trac.webkit.org/changeset/147322>
Comment 11 WebKit Review Bot 2013-04-01 05:50:40 PDT
All reviewed patches have been landed.  Closing bug.